![Logo](/packages/core/tests/dummy/public/ember-elements.png)

**Ember Elements** is a UI toolkit built with Typescript and made available as an **Ember addon**. It is based on the awesome **[Blueprint design system](https://blueprintjs.com/docs)**.

[![Build Status](https://travis-ci.org/dunkinbase/ember-elements.svg?branch=main)](https://travis-ci.org/dunkinbase/ember-elements)
[![minified](https://badgen.net/bundlephobia/min/ember-elements)](https://bundlephobia.com/result?p=ember-elements)
[![minified + gzip](https://badgen.net/bundlephobia/minzip/ember-elements)](https://bundlephobia.com/result?p=ember-elements)
[![license](https://badgen.net/github/license/dunkinbase/ember-elements)](https://github.com/dunkinbase/ember-elements/blob/master/LICENSE)
[![release](https://badgen.net/github/release/dunkinbase/ember-elements)](https://github.com/dunkinbase/ember-elements/releases)

## **The Whys**

### Why Ember?

We chose **[EmberJS](https://emberjs.com/)** framework for the productivity and stability it brings to our projects. With this project, we strive to further reduce the time, effort and resources needed to build a web application.

### Why Blueprint?

1. We just loved the design 😍. Moreover, it has been designed with accessibility in mind.
2. The project is mature and had been in production use for quite some time.
3. It is _optimized for building complex, data-dense web interfaces for desktop applications_. This means, it is not a mobile-first UI toolkit. It reinforces our belief that design system should be contextual.
4. Known for its quality in the React ecosystem.
5. Lacked an Ember equivalent.

We strive to attain parity with BlueprintJS in terms of components and quality. We also strive to ensure that there is minimal effort in switching between react and ember elements.

PS: Still confused about the need? Watch [Frédéric Soumaré talk @ EmberConf, 2019](https://www.youtube.com/watch?v=O3RKLHvpUAI&t=6012s)

### Why Typescript?

1. Well who doesnt love it.
2. Increased adoption in Ember ecosystem.
3. Moreover, BlueprintJS(React) is also written in Typescript.

## **Community**

To request a new component, [raise a request](https://github.com/dunkinbase/ember-elements/issues/new?assignees=jugaadi&labels=Type%3A+new+component+&template=new_component_request.md&title=New+component%3A+%3CSection%3E+-+%3CName%3E)

For any other enhancements, [raise an issue here](https://github.com/dunkinbase/ember-elements/issues/new?assignees=&labels=&template=feature_request.md&title=)

To file a bug, [report it here](https://github.com/dunkinbase/ember-elements/issues/new?assignees=&labels=&template=bug_report.md&title=)

For any other contributions, read [CONTRIBUTING.md](CONTRIBUTING.md)

[Join our Slack group to talk to us](https://join.slack.com/t/dunkinbase/shared_invite/enQtNTkzOTg1MzAwOTQ1LWVkNTc0YTQ3ZWJlNDZhNDNlNmU5MjMzNDczNjFkZWZjNTVkNmI5MGU0ZmMyZGY5ZmRhNmZiYmFiMmM0YTY4ZGI)

---

<!--
## Current Status

### Core
- [ ] Components
  - [ ] Breadcrumbs
  - [x] Button
  - [x] Button group
  - [x] Callout
  - [x] Card
  - [x] Collapse
  - [ ] Collapsible list
  - [ ] Divider
  - [ ] Editable text
  - [ ] Hotkeys
  - [x] Icon
  - [ ] Menu
  - [x] Navbar
  - [ ] Non-ideal state
  - [x] Overflow list
  - [x] Panel stack
  - [x] Progress bar
  - [x] Resize sensor
  - [ ] Skeleton
  - [ ] Spinner
  - [x] Tabs
  - [x] Tag
  - [ ] Text
  - [x] Tree

- [ ] Form Controls
  - [x] Form group
  - [x] Control group
  - [ ] Label
  - [x] Checkbox
  - [x] Radio
  - [x] Html select
  - [ ] Slider
  - [x] Switch

- [ ] Form Inputs
  - [x] File input
  - [x] Numeric input
  - [x] Text input
  - [x] Text area
  - [x] Tag input

- [ ] Overlays
  - [x] Overlay
  - [x] Portal
  - [x] Alert
  - [ ] Context menu
  - [x] Dialog
  - [x] Drawer
  - [x] Popover
  - [ ] Toast
  - [x] Tooltip

- [ ] Date Time
  - [x] Date picker
  - [x] Date range picker
  - [ ] Time picker
  - [ ] Date time picker
  - [ ] Date input
  - [ ] Date range input

- [ ] Select
  - [x] Select
  - [ ] Suggest
  - [x] MultiSelect
  - [ ] Omnibar
  - [ ] Querylist

- [ ] Table  -->
